# -*- Mode: Makefile -*-
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.


INCLUDED_AUTOCONF_MK = 1
USE_AUTOCONF	= 1

MOZILLA_CLIENT	= 

prefix		= /usr/local
exec_prefix	= ${prefix}
bindir		= ${exec_prefix}/bin
includedir	= ${prefix}/include/nspr
libdir		= /usr/local/lib/hpux32
datadir		= ${prefix}/share

dist_prefix	= ${MOD_DEPTH}/dist
dist_bindir	= ${dist_prefix}/bin
dist_includedir = ${dist_prefix}/include/nspr
dist_libdir	= ${dist_prefix}/lib

DIST		= $(dist_prefix)

RELEASE_OBJDIR_NAME = HP-UXB.11.31_ia64_32_DBG.OBJ
OBJDIR_NAME	= .
OBJDIR		= $(OBJDIR_NAME)
# We do magic with OBJ_SUFFIX in config.mk, the following ensures we don't
# manually use it before config.mk inclusion
OBJ_SUFFIX	= $(error config/config.mk needs to be included before using OBJ_SUFFIX)
_OBJ_SUFFIX	= o
LIB_SUFFIX	= a
DLL_SUFFIX	= so
ASM_SUFFIX	= s
MOD_NAME	= nspr20

MOD_MAJOR_VERSION = 4
MOD_MINOR_VERSION = 10
MOD_PATCH_VERSION = 2

LIBNSPR		= -L$(dist_libdir) -lnspr$(MOD_MAJOR_VERSION)
LIBPLC		= -L$(dist_libdir) -lplc$(MOD_MAJOR_VERSION)

CROSS_COMPILE	= 
MOZ_OPTIMIZE	= 
MOZ_DEBUG	= 
MOZ_DEBUG_SYMBOLS = 

USE_CPLUS	= 
USE_IPV6	= 1
USE_N32		= 
USE_64		= 
ENABLE_STRIP	= 

USE_PTHREADS	= 1
USE_BTHREADS	= 
PTHREADS_USER	= 
CLASSIC_NSPR	= 

AS		= $(CC)
ASFLAGS		= $(CFLAGS)
CC		= cc -Ae
CCC		= /opt/aCC/bin/aCC -ext
NS_USE_GCC	= 
GCC_USE_GNU_LD	= 
MSC_VER		= 
AR		= /usr/local/bin/ar
AR_FLAGS	= cr $@
LD		= /usr/bin/ld
RANLIB		= /bin/true
PERL		= /usr/local/bin/perl
RC		= 
RCFLAGS		= 
STRIP		= /usr/bin/strip
NSINSTALL	= $(MOD_DEPTH)/config/$(OBJDIR_NAME)/nsinstall
FILTER		= 
IMPLIB		= 
CYGWIN_WRAPPER	= 
MT		= 

OS_CPPFLAGS	= -O -I/usr/local/include
OS_CFLAGS	= $(OS_CPPFLAGS) -O -I/usr/local/include +Olit=all $(DSO_CFLAGS)
OS_CXXFLAGS	= $(OS_CPPFLAGS) -O -I/usr/local/include +Olit=all $(DSO_CFLAGS)
OS_LIBS         = -lpthread -ldl 
OS_LDFLAGS	= -Wl,+b -Wl,/usr/local/lib/hpux32 -L/usr/local/lib/hpux32
OS_DLLFLAGS	= 
DLLFLAGS	= 
EXEFLAGS  = 
OPTIMIZER	= 

PROFILE_GEN_CFLAGS  = -fprofile-generate
PROFILE_GEN_LDFLAGS = 
PROFILE_USE_CFLAGS  = 
PROFILE_USE_LDFLAGS = 

MKSHLIB		= $(CC) $(DSO_LDOPTS) -o $@
WRAP_LDFLAGS	= 
DSO_CFLAGS	= +Z
DSO_LDOPTS	= -b -s +b '$$ORIGIN'

RESOLVE_LINK_SYMBOLS = 

HOST_CC		= cc
HOST_CFLAGS	= -O -I/usr/local/include -DXP_UNIX
HOST_LDFLAGS	= 

DEFINES		=  -UDEBUG  -DNDEBUG=1 -DXP_UNIX=1 -DHPUX=1 -D_HPUX_SOURCE=1 -D_PR_POLL_WITH_SELECT=1 -D_USE_BIG_FDS=1 -DHAVE_POINTER_LOCALTIME_R=1 -DHPUX10=1 -DHPUX11=1 -D_LARGEFILE64_SOURCE=1 -D_PR_HAVE_OFF64_T=1 -DHAVE_FCNTL_FILE_LOCKING=1 -DHAVE_DLADDR=1 -DHAVE_LCHOWN=1 -DHAVE_SETPRIORITY=1 -DHAVE_STRERROR=1 -DHAVE_SYSCALL=1 -D_POSIX_C_SOURCE=199506L -D_PR_HAVE_THREADSAFE_GETHOST=1 

MDCPUCFG_H	= _hpux32.cfg
PR_MD_CSRCS	= hpux.c
PR_MD_ASFILES	= os_HPUX_ia64.s
PR_MD_ARCH_DIR	= unix
CPU_ARCH	= 

OS_TARGET	= HP-UX
OS_ARCH		= HP-UX
OS_RELEASE	= B.11.31
OS_TEST		= ia64

NOSUCHFILE	= /no-such-file
AIX_LINK_OPTS	= 
MOZ_OBJFORMAT	= 
ULTRASPARC_LIBRARY = 

OBJECT_MODE	= 
ifdef OBJECT_MODE
export OBJECT_MODE
endif

VISIBILITY_FLAGS = 
WRAP_SYSTEM_INCLUDES = 

MACOSX_DEPLOYMENT_TARGET = 
ifdef MACOSX_DEPLOYMENT_TARGET
export MACOSX_DEPLOYMENT_TARGET
endif

MACOS_SDK_DIR	= 

SYMBIAN_SDK_DIR = 

NEXT_ROOT	= 
ifdef NEXT_ROOT
export NEXT_ROOT
endif
